Bug 1736685 - slv2: FTBFS in Fedora rawhide/f31
Summary: slv2: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: slv2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 20:17 UTC by Fedora Release Engineering
Modified: 2019-08-05 22:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-03 01:38:06 UTC
Type: ---


Attachments (Terms of Use)
build.log (6.42 KB, text/plain)
2019-08-01 20:17 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 20:17 UTC, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2019-08-01 20:17 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 20:17:34 UTC
slv2 failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637669


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix slv2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
slv2 will be orphaned. Before branching of Fedora 32,
slv2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 20:17:37 UTC
Created attachment 1599281 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 20:17:40 UTC
Created attachment 1599282 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 20:17:41 UTC
Created attachment 1599283 [details]
state.log

Comment 4 Orcan Ogetbil 2019-08-03 01:38:06 UTC
"Fixed" in rawhide.

The breakage was due to the removal of the lv2core pkgconfig file in the lv2-devel package at version 1.16.


Note You need to log in before you can comment on or make changes to this bug.